com.fasterxml.jackson.dataformat.javaprop.impl

## Class PropertiesBackedGenerator

- java.lang.Object
- - com.fasterxml.jackson.core.JsonGenerator
  - - com.fasterxml.jackson.core.base.GeneratorBase
    - - com.fasterxml.jackson.dataformat.javaprop.JavaPropsGenerator
      - - com.fasterxml.jackson.dataformat.javaprop.impl.PropertiesBackedGenerator

- All Implemented Interfaces:
    com.fasterxml.jackson.core.Versioned, Closeable, Flushable, AutoCloseable

      public class PropertiesBackedGenerator
      extends JavaPropsGenerator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.core.JsonGenerator

      `com.fasterxml.jackson.core.JsonGenerator.Feature`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Properties` | `_props` Underlying `Properties` that we will update with logical properties written out.

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.javaprop.JavaPropsGenerator

      `_basePath, _headerChecked, _indentLength, _ioContext, _jpropContext, _schema, BOGUS_WRITE_CONTEXT, SHORT_WRITE`

    - ### Fields inherited from class com.fasterxml.jackson.core.base.GeneratorBase

      `_cfgNumbersAsStrings, _closed, _features, _objectCodec, _writeContext, DERIVED_FEATURES_MASK, MAX_BIG_DECIMAL_SCALE, SURR1_FIRST, SURR1_LAST, SURR2_FIRST, SURR2_LAST, WRITE_BINARY, WRITE_BOOLEAN, WRITE_NULL, WRITE_NUMBER, WRITE_RAW, WRITE_STRING`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonGenerator

      `_cfgPrettyPrinter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertiesBackedGenerator(com.fasterxml.jackson.core.io.IOContext ctxt, Properties props, int stdFeatures, com.fasterxml.jackson.core.ObjectCodec codec)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `_releaseBuffers()`
    `protected void` | `_writeEscapedEntry(char[] text, int offset, int len)`
    `protected void` | `_writeEscapedEntry(String value)`
    `protected void` | `_writeRaw(char c)`
    `protected void` | `_writeRaw(char[] text, int offset, int len)`
    `protected void` | `_writeRaw(String text)`
    `protected void` | `_writeRaw(StringBuilder text)`
    `protected void` | `_writeRawLong(String text)`
    `protected void` | `_writeRawLong(StringBuilder text)`
    `protected void` | `_writeUnescapedEntry(String value)`
    `void` | `close()`
    `void` | `flush()`
    `Object` | `getOutputTarget()`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.javaprop.JavaPropsGenerator

      `_verifyValueWrite, canOmitFields, canUseSchema, canWriteBinaryNatively, canWriteFormattedNumbers, canWriteObjectId, canWriteTypeId, getCurrentValue, getOutputContext, getSchema, setCurrentValue, setPrettyPrinter, setSchema, useDefaultPrettyPrinter, version, writeBinary, writeBoolean, writeEndArray, writeEndObject, writeFieldName, writeNull, writeNumber, writeNumber, writeNumber, writeNumber, writeNumber, writeNumber, writeNumber, writeRaw, writeRaw, writeRaw, writeRaw, writeRaw, writeRawUTF8String, writeStartArray, writeStartObject, writeString, writeString, writeUTF8String`

    - ### Methods inherited from class com.fasterxml.jackson.core.base.GeneratorBase

      `_asString, _checkStdFeatureChanges, _constructDefaultPrettyPrinter, _decodeSurrogate, disable, enable, getCodec, getFeatureMask, isClosed, isEnabled, overrideStdFeatures, setCodec, setFeatureMask, writeBinary, writeFieldName, writeObject, writeRawValue, writeRawValue, writeRawValue, writeRawValue, writeStartObject, writeString, writeTree`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonGenerator

      `_reportError, _reportUnsupportedOperation, _throwInternal, _verifyOffsets, _writeSimpleObject, configure, copyCurrentEvent, copyCurrentStructure, getCharacterEscapes, getFormatFeatures, getHighestEscapedChar, getOutputBuffered, getPrettyPrinter, overrideFormatFeatures, setCharacterEscapes, setHighestNonEscapedChar, setRootValueSeparator, writeArray, writeArray, writeArray, writeArrayFieldStart, writeBinary, writeBinary, writeBinary, writeBinaryField, writeBooleanField, writeEmbeddedObject, writeFieldId, writeNullField, writeNumber, writeNumberField, writeNumberField, writeNumberField, writeNumberField, writeNumberField, writeObjectField, writeObjectFieldStart, writeObjectId, writeObjectRef, writeOmittedField, writeStartArray, writeString, writeStringField, writeTypeId, writeTypePrefix, writeTypeSuffix`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _props

          protected final Properties _props

      Underlying `Properties` that we will update with logical properties written out.

  - ### Constructor Detail

    - #### PropertiesBackedGenerator

          public PropertiesBackedGenerator(com.fasterxml.jackson.core.io.IOContext ctxt,
                                   Properties props,
                                   int stdFeatures,
                                   com.fasterxml.jackson.core.ObjectCodec codec)

  - ### Method Detail

    - #### getOutputTarget

          public Object getOutputTarget()

      Overrides:
        `getOutputTarget` in class `com.fasterxml.jackson.core.JsonGenerator`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `com.fasterxml.jackson.core.base.GeneratorBase`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Specified by:
        `flush` in interface `Flushable`
      Specified by:
        `flush` in class `com.fasterxml.jackson.core.base.GeneratorBase`
      Throws:
        `IOException`

    - #### _releaseBuffers

          protected void _releaseBuffers()

      Specified by:
        `_releaseBuffers` in class `com.fasterxml.jackson.core.base.GeneratorBase`

    - #### _writeEscapedEntry

          protected void _writeEscapedEntry(char[] text,
                                int offset,
                                int len)
                                     throws IOException

      Specified by:
        `_writeEscapedEntry` in class `JavaPropsGenerator`
      Throws:
        `IOException`

    - #### _writeEscapedEntry

          protected void _writeEscapedEntry(String value)
                                     throws IOException

      Specified by:
        `_writeEscapedEntry` in class `JavaPropsGenerator`
      Throws:
        `IOException`

    - #### _writeUnescapedEntry

          protected void _writeUnescapedEntry(String value)
                                       throws IOException

      Specified by:
        `_writeUnescapedEntry` in class `JavaPropsGenerator`
      Throws:
        `IOException`

    - #### _writeRaw

          protected void _writeRaw(char c)
                            throws IOException

      Specified by:
        `_writeRaw` in class `JavaPropsGenerator`
      Throws:
        `IOException`

    - #### _writeRaw

          protected void _writeRaw(String text)
                            throws IOException

      Specified by:
        `_writeRaw` in class `JavaPropsGenerator`
      Throws:
        `IOException`

    - #### _writeRaw

          protected void _writeRaw(StringBuilder text)
                            throws IOException

      Specified by:
        `_writeRaw` in class `JavaPropsGenerator`
      Throws:
        `IOException`

    - #### _writeRaw

          protected void _writeRaw(char[] text,
                       int offset,
                       int len)
                            throws IOException

      Specified by:
        `_writeRaw` in class `JavaPropsGenerator`
      Throws:
        `IOException`

    - #### _writeRawLong

          protected void _writeRawLong(String text)
                                throws IOException

      Throws:
        `IOException`

    - #### _writeRawLong

          protected void _writeRawLong(StringBuilder text)
                                throws IOException

      Throws:
        `IOException`

Copyright © 2017 FasterXML. All rights reserved.